List company audit data
curl --request GET \
--url https://app.msportal.ai/api/public/v1/analytics/company-audit \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.msportal.ai/api/public/v1/analytics/company-audit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.msportal.ai/api/public/v1/analytics/company-audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"setup": {
"dialogComplete": true,
"hasAddress": true,
"hasPhone": true,
"hasWebsite": true,
"hasPrimaryContact": true
},
"companyRoles": [
{
"role": "<string>",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userName": "<string>"
}
],
"infrastructure": {
"locationsCount": 123,
"devicesCount": 123,
"activeDevicesCount": 123
},
"compliance": {
"checksTotal": 123,
"checksOverdue": 123,
"checksUpcoming": 123,
"lastRun": "2023-11-07T05:31:56Z",
"assignedUpcoming": 123
},
"meetings": {
"hasQBRSchedule": true,
"nextQBRDate": "2023-11-07T05:31:56Z",
"lastQBRDate": "2023-11-07T05:31:56Z",
"upcomingCount": 123,
"nextMeetingDate": "2023-11-07T05:31:56Z",
"bookedFutureCount": 123
},
"planner": {
"total": 123,
"overdue": 123,
"inProgress": 123,
"upcoming": 123
},
"goals": {
"total": 123,
"incomplete": 123,
"highPriority": 123
},
"surveys": {
"total": 123,
"completed": 123,
"lastDate": "2023-11-07T05:31:56Z",
"averageNPS": 123
},
"budget": {
"hasBudget": true,
"categories": 123,
"totalAmount": 123
},
"users": {
"count": 123,
"activeCount": 123,
"companyUsersCount": 123
},
"integrations": {
"count": 123,
"activeCount": 123
},
"createdAt": "2023-11-07T05:31:56Z",
"lastActivityDate": "2023-11-07T05:31:56Z",
"auditScore": 50,
"missingItems": [
"<string>"
]
}
],
"pagination": {
"page": 2,
"limit": 50,
"totalCount": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPrevPage": true
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Analytics
List company audit data
Retrieve company audit data with 70+ metrics per company including setup, compliance, meetings, goals, surveys, budget, users, and audit score. Filter by role type or assigned user to see specific portfolios.
GET
/
api
/
public
/
v1
/
analytics
/
company-audit
List company audit data
Authorizations
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Query Parameters
Page number
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100Filter by specific company ID
Filter by role type (e.g., vCIO, TAM)
Maximum string length:
100Filter by assigned user ID
Was this page helpful?
⌘I